Subject: Re: bug#19893: GNU libtool-2.4.6 released [stable]

From: Nick Bowler <[email-masked]>
Date: Wed, 18 Feb 2015 09:46:31 -0500

Hi,

I don't know about the specific failure but I can answer your
questions...

On 2015-02-18 09:18 +0100, Michael Felt wrote:
> Test 70, e.g., proceeds fine but at line 61 - it fails
[...]
> in the test file runpath-in-lalib.at
> 
>    +61  AT_CHECK([$GREP /foobar $libdir/liba.la], [], [ignore])
>    +62  AT_CHECK([$GREP /foobar $libdir/libb.la], [], [ignore])
>    +63
>    +64  # TODO: check that m gets -R, too.
>    +65
>    +66  AT_CLEANUP
[...]
> Two questions:
> 
> 1. the word [ignore] at the end does not mean to ignore exit status - I am
> guessing. So what does it mean?

It means to ignore the standard output of the command (not completely;
it is still recorded in the testsuite log file).

> 2. How can I easily run a (verbose) single-test (and maybe have it echo the
> values of things like $GREP)

You can pass flags to the testsuite by setting TESTSUITEFLAGS, e.g.,

  make check TESTSUITEFLAGS='70'

to run just test 70.  See ./tests/testsuite --help for more testsuite
options; perhaps --trace will be helpful for you.

Regards,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)